package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.entity.product.ProductSpec;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ProductSpecMapper {
    /**
     * 列表查询
     *
     * @return 分页结果
     */
    List<ProductSpec> findByPage();

    /**
     * 添加功能
     *
     * @param productSpec 商品规格实体类
     */
    void save(ProductSpec productSpec);

    /**
     * 修改功能
     *
     * @param productSpec 商品规格实体类
     */
    void updateById(ProductSpec productSpec);

    /**
     * 删除功能
     *
     * @param id 要删除的ID
     */
    void deleteById(Long id);

    /**
     * 加载商品规格数据
     *
     * @return 列表
     */
    List<ProductSpec> findAll();
}
