package com.atguigu.spzx.manger.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysRoleUserMapper {
    /**
     * 根据用户id删除内容
     *
     * @param userId 用户id
     */
    void deleteByUserId(Long userId);

    /**
     * 分配角色数据
     *
     * @param userId 用户id
     * @param roleId 角色id
     */
    void doAssign(Long userId, Long roleId);

    /**
     * 根据用户id查询内容
     *
     * @param userId 用户id
     */
    List<Long> findSysUserRoleByUserId(Long userId);
}
